Busca lista de histórico de mensagens
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/messagesimport requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"actionType": "string",
"idContract": "string",
"devEui": "string",
"customer": {
"id": 0,
"name": "string",
"email": "string"
},
"customerId": 0,
"status": "PENDING",
"processLog": "string",
"processingDate": "2025-01-02T13:37:23.499Z",
"createdAt": "2025-01-02T13:37:23.499Z",
"createdBy": "string",
"updatedAt": "2025-01-02T13:37:23.499Z",
"updatedBy": "string",
"processData": "string"
}
]{
"errors": "Parameter not found"
}{
"errors": "Unauthorized"
}{
"errors": "Forbidden"
}{
"errors": "Not Found"
}{
"errors": "Internal Server Error"
}Lorawan
API para Consulta do Histórico de Mensagens LoRaWAN
Retorna uma lista de histórico de mensagens com base nos filtros fornecidos.
GET
/
lorawan
/
broker
/
messages
Busca lista de histórico de mensagens
Query Parameters
Filtro pelo ID do cliente.
Example:
12345
Filtro pelo status da ativação.
Example:
"PENDING"
Filtro pelo devEui do dispositivo.
Example:
"ABCDEF1234567890"
Filtro de localidade.
Example:
"en-US"
Filtro pela data de início (ISO 8601).
Example:
"2025-01-01T00:00:00Z"
Filtro pela data de fim (ISO 8601).
Example:
"2025-01-31T23:59:59Z"
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Response
Lista de histórico de mensagens retornada com sucesso.

